Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064388 - augeas cannot parse default /etc/keepalived/keepalived.conf
Summary: augeas cannot parse default /etc/keepalived/keepalived.conf
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: augeas
Version: 7.0
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Dominic Cleal
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-12 14:12 UTC by Pat Riehecky
Modified: 2014-06-18 00:17 UTC (History)
6 users (show)

Fixed In Version: augeas-1.1.0-12.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 09:53:44 UTC


Attachments (Terms of Use)

Description Pat Riehecky 2014-02-12 14:12:45 UTC
Description of problem:
Augeas cannot read the default /etc/keepalived/keepalived.conf from keepalived-1.2.8-1.el7

Version-Release number of selected component (if applicable):augeas-1.1.0-3.el7


How reproducible:100%


Steps to Reproduce:
1.install keepalived-1.2.8-1.el7
2.echo 'print /augeas//error' | augtool
3.

Actual results:
/augeas/files/etc/keepalived/keepalived.conf/error = "parse_failed"
/augeas/files/etc/keepalived/keepalived.conf/error/pos = "590"
/augeas/files/etc/keepalived/keepalived.conf/error/line = "32"
/augeas/files/etc/keepalived/keepalived.conf/error/char = "0"
/augeas/files/etc/keepalived/keepalived.conf/error/lens = "/usr/share/augeas/lenses/dist/keepalived.aug:262.10-.68:"
/augeas/files/etc/keepalived/keepalived.conf/error/message = "Iterated lens matched less than it should"


Expected results:
no errors

Additional info:

Comment 2 Dominic Cleal 2014-02-12 14:48:02 UTC
The lens appears to be entirely missing support for some keepalive check blocks, e.g. SSL_GET, HTTP_GET.

Comment 3 Lingfei Kong 2014-02-21 02:47:33 UTC
Can reproduce with augeas-1.1.0-10.el7


Steps to reproduce:
1.install keepalived-1.2.10-2.el7
2.#echo 'print /augeas//error' | augtool
/augeas/files/etc/keepalived/keepalived.conf/error = "parse_failed"
/augeas/files/etc/keepalived/keepalived.conf/error/pos = "590"
/augeas/files/etc/keepalived/keepalived.conf/error/line = "32"
/augeas/files/etc/keepalived/keepalived.conf/error/char = "0"
/augeas/files/etc/keepalived/keepalived.conf/error/lens = "/usr/share/augeas/lenses/dist/keepalived.aug:262.10-.68:"
/augeas/files/etc/keepalived/keepalived.conf/error/message = "Iterated lens matched less than it should"

Comment 4 Dominic Cleal 2014-02-21 11:04:11 UTC
Fixed upstream in 1f6ec69.

Comment 6 Lingfei Kong 2014-02-26 02:04:22 UTC
Verify with augeas-1.1.0-12.el7

Steps to verify:
1. Install keepalived-1.2.10-2.el7
2. [host-a]#echo 'print /augeas//error' | augtool

No output, bug is fixed.

Comment 7 Ludek Smid 2014-06-13 09:53:44 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.